#include <iostream>
 
using namespace std;
 
int main()
{
    long long n , m , k;
    cin >> n >> m >> k;
    long long c = n + k - 1;
    long long b = m + k - 1;
    cout << (c / k) * (b / k);
    return 0;
}